import request from '@/utils/request'

// 查询药品规格列表
export function listSpecs(query) {
  return request({
    url: '/drugs/specs/list',
    method: 'get',
    params: query
  })
}

// 查询全部药品规格列表
export function listSpecsAll(query) {
  return request({
    url: '/drugs/specs/listAll',
    method: 'get',
    params: query
  })
}

// 查询药品规格详细
export function getSpecs(id) {
  return request({
    url: '/drugs/specs/' + id,
    method: 'get'
  })
}

// 新增药品规格
export function addSpecs(data) {
  return request({
    url: '/drugs/specs',
    method: 'post',
    data: data
  })
}

// 修改药品规格
export function updateSpecs(data) {
  return request({
    url: '/drugs/specs',
    method: 'put',
    data: data
  })
}

// 删除药品规格
export function delSpecs(id) {
  return request({
    url: '/drugs/specs/' + id,
    method: 'delete'
  })
}

// 导出药品规格
export function exportSpecs(query) {
  return request({
    url: '/drugs/specs/export',
    method: 'get',
    params: query
  })
}